/// scr_TTS_Search(first looks for the language of the OS : true or false , 1° word to search , 2° word to search );

/*  Exemple : scr_TTS_Search(false,'English');
    Voices can have different accents for different languages or countries.
    So if you have a text written in English it is best to make it heard using an English voice.
    To do this, we check if the word 'English' is present in the name of an entry.
    If so, that item is selected.
    However, it is likely that in some browsers there is not that item and therefore it will remain there by default
    language number 0, whatever it is.

   argument0: if set to true, the language of the OS or browser will be searched first;        
   argument1: string with word to search for in the name of an voice;
   argument2: second string with word to search for in the name of an voice;
   
   Per esempio scr_TTS_Search(false,'Italian'); 
   Le voci possono avere accenti diversi per differenti lingue o nazioni.
   Quindi se avete un testo scritto in inglese è meglio farlo sentire utilizzando una voce inglese.
   Per far ciò, controlliamo se nel nome di una voce è presente la parola 'English'.
   Nel browser Chrome online possiamo avere una voce che riporta 'Italian' ed un altra 'Italiano',
   per questo motivo ho aggiunto argumet2 affinchè ( se non si trova la prima parola ) si possa cercare una seconda parola ;
   Nel caso affermativo viene selezionata quella voce.
   E' probabile però che in alcuni browser non vi sia quella voce e perciò rimmarra di default la 
   lingua numero 0, qualunque essa sia.

   argument0 : se impostato su true, verrà cercata prima la lingua del OS o del browser;      
   argument1 : stringa con parola da cercare nel nome di una voce;
   argument2 : seconda stringa con parola da cercare nel nome di una voce;
*/


if ( os_browser != browser_not_a_browser) { /* Code used only in browsers - Codice utilizzato solo nei browser */   
 
    if ( ( TTS_Info_Voice_Work == true) && (TTS_Total_Number_Voice>0)) {
    
      // Se true, cerca e setta la lingua in base a quella impostata nel OS
      var OS_Language = ""; 
      var OS_Chrome   = "";
      var OS_Region   = os_get_region();
      
      if ( argument0 == true) {  
                                switch ( os_get_language() )
                                {                                                                                                                             //[ EDGE                -  CHROME ]
                                 case "de" : OS_Language = "German";                       OS_Chrome = "Deutsch";       break; // de   : German                 -   Deutsch
                                 case "it" : OS_Language = "Italian";                      OS_Chrome = "italiano";      break; //it-IT : Italian (Italy)        -   italiano
                                 case "pl" : OS_Language = "Polish";                       OS_Chrome = "polski";        break; //pl-PL : Polish (Poland )       -   polski
                                 case "id" : OS_Language = "Indonesian";                   OS_Chrome = "Bahasa";        break; //id-ID : Indonesian (Indonesia) -   Bahasa Indonesia
                                 case "ja" : OS_Language = "Japanese";                     OS_Chrome = "日本語";         break; //ja-JP : Japanese (Japan)       -   日本語
                                 case "ko" : OS_Language = "Korean";                       OS_Chrome = "한국의";          break; //ko-KR : Korean (Korea)         -   한국의 
                                 case "nl" : OS_Language = "Dutch";                        OS_Chrome = "Netherlands";   break; //nl-NL : Dutch (Netherlands)    -   Netherlands
                                 case "hi" : OS_Language = "Hindi";                        OS_Chrome = "हिन्दी";             break; //hi-IN : Hindi (India)          -    हिन्दी 
                                 case "fr" : OS_Language = "French";                       OS_Chrome = "français";      break; //fr-FR : French (France)        -   français
                                 case "pt" : OS_Language = "Portuguese";                   OS_Chrome = "português";     break; //pt-BR : Portuguese (Brazil)    -   português do Brasil
                                 case "ru" : OS_Language = "Russian";                      OS_Chrome = "русский";       break; //ru-RU : Russian (Russia)       -   русский
                                 
                                 case "en" : OS_Language = "English";                      OS_Chrome = "US English";                           
                                  if (OS_Region == 'US'){ OS_Language = "United States";   OS_Chrome = "US English";  } //en-US : English (United States)  - US English
                                  if (OS_Region == 'GB'){ OS_Language = "United Kingdom";  OS_Chrome = "UK English";  } //en-GB : English (United Kingdom) - UK English
                                                                                                                        break;                                                                  
                                 case "es" : OS_Language = "Spanish";                      OS_Chrome = "español";                                   
                                  if (OS_Region == 'MX'){ OS_Language = "Mexico";          OS_Chrome = "español de Estados Unidos"; } //es-MX : Spanish (Mexico) - espaňol de Estados Unidos
                                  if (OS_Region == 'ES'){ OS_Language = "Spain";           OS_Chrome = "español";     }               //es-ES : Spanish (Spain)  - espaňol 
                                                                                                                        break;                                                                                     
                                 case "zh" : OS_Language = "Chinese";                      OS_Chrome = "普通话（中国大陆）"; 
                                  if (OS_Region == 'HK'){ OS_Language = "Hong Kong";       OS_Chrome = "粤語（香港）";     } //zh-HK : Chinese (Traditional, Hong Kong SAR) ---> Cantonese   - 粤語（香港）
                                  if (OS_Region == 'CN'){ OS_Language = "China";           OS_Chrome = "普通话（中国大陆）";} //zh-CN : Chinese (Simplified, China)          ---> Mandarin ( Mainland China )  - 普通话（中国大陆）
                                  if (OS_Region == 'TW'){ OS_Language = "Taiwan";          OS_Chrome = "國語（臺灣）";     } //zh-TW : Chinese (Traditional, Taiwan)        ---> Mandarin  -   國語（臺灣）
                                                                                                                        break;                                                                                             
                                                                                            
                                 /* More : https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/available-language-packs-for-windows */                         
                                }    
                               }
                               
               
               switch(argument1){ // argument1 su Chrome
                                 case "German"         : OS_Chrome = "Deutsch";      break;                  
                                 case "Italian"        : OS_Chrome = "italiano";     break; 
                                 case "Polish"         : OS_Chrome = "polski";       break; 
                                 case "Indonesian"     : OS_Chrome = "Bahasa";       break; 
                                 case "Japanese"       : OS_Chrome = "日本語";        break; 
                                 case "Korean"         : OS_Chrome = "한국의";         break;  
                                 case "Dutch"          : OS_Chrome = "Netherlands";  break; 
                                 case "Hindi"          : OS_Chrome = "हिन्दी";            break; 
                                 case "French"         : OS_Chrome = "français";     break; 
                                 case "Portuguese"     : OS_Chrome = "português";    break; 
                                 case "Russian"        : OS_Chrome = "русский";      break;
                                 
                                 case "English"        : OS_Chrome = "English";      break; 
                                 case "United States"  : OS_Chrome = "US English"    break;
                                 case "United Kingdom" : OS_Chrome = "UK English";   break;
                                 
                                 case "Spanish"        : 
                                 case "Spain"          : OS_Chrome = "español";      break; 
                                 case "Mexico"         : OS_Chrome = "español de Estados Unidos"; break;                                 
                                                                                                                                                                                                                                                                                                  
                                 case "Hong Kong"      : OS_Chrome = "粤語（香港）";     break;
                                 case "Chinese"        :
                                 case "China"          : OS_Chrome = "普通话（中国大陆）"; break;
                                 case "Taiwan"         : OS_Chrome = "國語（臺灣）";     break;          
                                }                            
                               
 
       for (i = 0; i< TTS_Total_Number_Voice+1 ; i++; ){
       
         var ocount = 0;
        
         // Search OS word
         if ( argument0 == true) { ocount = string_count(string(OS_Language), TTS_Voice_Name[i] ); }
         
         // Search OS word with Chrome
         if ( ocount == 0 ) && (OS_Chrome != "") { ocount = string_count(string(OS_Chrome), TTS_Voice_Name[i] ); }        
         
         // Search first word                           
         if ( ocount == 0 ) && (argument1 != "") { ocount = string_count(string(argument1), TTS_Voice_Name[i] ); }
                      
         // Search second word if the first not exists : 
         if ( ocount == 0 ) && (argument2 != "") { ocount = string_count(string(argument2), TTS_Voice_Name[i] ); }
         
         // if the word exists select this voice, else voice = 0:
         if ( ocount != 0 ) { TTS_Voice_Selected = i; exit; }else{ TTS_Voice_Selected = 0; }
       }
      
      
 
 }
}
